c-----------------------------------------------------------------------
c
c	Help subroutine
c
c	part of Mitch Wyle's DTC program
c
c	Inputs: 
c		None
c
c	Output:
c		display screen (see below)
c
c-----------------------------------------------------------------------
c

	SUBROUTINE dhelp

	include 'comdtc.inc/nolist'
	include 'escdtc.inc/nolist'
c

c	integer iterm/6/
c	byte esc/"033/
	byte buf(79)

c
c	Initialize:
c

c	iterm = 6		!	Output terminal unit number
c	esc = "033

	call dtcat(1,1)
	write(iterm,91) esc,homescrn, esc,clrscrn	!	clear screen
	write(iterm,1) '+', esc,dhdw1, '    D T C  -  Desk Top Calendar'
	write(iterm,1) ' ', esc,dhdw2, '    D T C  -  Desk Top Calendar'
c
 1	format(40a)
 91	format('+',4a, $)

	Open (unit=1,file='SYS$HELP:DTC.HLP',READONLY,form='FORMATTED',
     1  status='OLD', err=9)

	Do i=1, 22
	    Read(1,4,end=5) ibln, buf
	    if (ibln .ne. 0) then
		write (iterm,6) (buf(j), j=1,ibln)
	    else
		write (iterm,6)
	    end if
	end do
c
 4	format(q,100a1)
 6	format(x,100a1)
c
 5	close(unit=1)		! Read end-of-file

	return	
c
 9	write(iterm, 99)
 99	format(' Help file SYS$HELP:DTC.HLP not found')
	end
